com.google.protobuf

## Class GeneratedMessageV3.ExtendableMessage.ExtensionWriter

- java.lang.Object
- - com.google.protobuf.GeneratedMessageV3.ExtendableMessage.ExtensionWriter

- Enclosing class:
    GeneratedMessageV3.ExtendableMessage<MessageType extends GeneratedMessageV3.ExtendableMessage>

      protected class GeneratedMessageV3.ExtendableMessage.ExtensionWriter
      extends java.lang.Object

  Used by subclasses to serialize extensions. Extension ranges may be interleaved with field numbers, but we must write them in canonical (sorted by field number) order. ExtensionWriter helps us write individual ranges of extensions at once.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeUntil(int end, CodedOutputStream output)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeUntil

          public void writeUntil(int end,
                        CodedOutputStream output)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`